Bug 171775 - Crash trying to sync Palm Zire 72 for first time.
Crash trying to sync Palm Zire 72 for first time.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 05:43 EDT by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2005-10-26 05:43:52 EDT
Description of problem:

I'm trying to sync a Palm Zire 72 for the first time in rawhide.  I'm completely
up to date with all my rawhide software, but each time I try gpilotd segfaults.

Version-Release number of selected component (if applicable):

gnome-pilot-2.0.13-7.fc5
gnome-pilot-conduits-2.0.13-2.FC5
gnome-pilot-conduits-debuginfo-2.0.13-2.FC5
gnome-pilot-debuginfo-2.0.13-7.fc5
gnome-pilot-devel-2.0.13-7.fc5
pilot-link-0.12.0-0.pre4.5
pilot-link-debuginfo-0.12.0-0.pre4.5
pilot-link-devel-0.12.0-0.pre4.5


How reproducible:

Each time.


Steps to Reproduce:
1. Plug Palm Zire into power cord (probably unnecessary) and connect UCB cable
between Palm and Laptop USB ports.
2. Press HotSync key on Palm.
3. Start Gnome Pilot (Desktop > Preferences > More Preferences > PalmOS
Devices). A Welcome to gnome-pilot dialog appears, stating that I seem to be
running for the first time (true) and offering to setup syncing.  (This dialog
needs some love and still mentions Gnome Control Center).  Click Forward.
4. Enter the following values into the Cradle Settings dialog.
    Name: Cradle
    Port: /dev/ttyUSB1 (suggested by Patrick Barnes, but not in list provided)
    Speed: 57600
    Timeout: 2
    Type: USB (selected from options)
and click Forward
5. Select No, I've never used sync software with this pilot before and take the
Defaults (My Username and UID)  Click Forward.
6.  Initial Sync dialog appears

Actual results:

A dialog appears saying 'The Application "gpilotd" has quit unexpectedly.' and
offers the opportunity to inform the developers using Bug Buddy.

A backtrace is supplied (via bug buddy) and reads as follows:

Backtrace was generated from '/usr/libexec/gpilotd'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1209116128 (LWP 19737)]
0x00a9d402 in __kernel_vsyscall ()
#0  0x00a9d402 in __kernel_vsyscall ()
#1  0x0084a053 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00c87bfd in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00a9d402 in __kernel_vsyscall ()
#5  0x004af7e8 in raise () from /lib/libc.so.6
#6  0x004b0f58 in abort () from /lib/libc.so.6
#7  0x004e4a3a in __libc_message () from /lib/libc.so.6
#8  0x00565c15 in __chk_fail () from /lib/libc.so.6
#9  0x00566254 in __realpath_chk () from /lib/libc.so.6
#10 0x07b83f4f in pi_serial_bind (ps=0x98a6128, addr=0xbf80190a, addrlen=258)
    at /usr/include/bits/stdlib.h:35
#11 0x07b8743c in pi_bind (pi_sd=35, port=0x98a44a8 "/dev/ttyUSB1")
    at socket.c:1063
#12 0x0804cfcf in sync_device (device=0x98a5408, context=0x9884bb8)
    at gpilotd.c:166
#13 0x0804e40b in visor_devices_timeout (data=0x9884bb8) at gpilotd.c:912
#14 0x006f2566 in g_main_context_wakeup () from /usr/lib/libglib-2.0.so.0
#15 0x006f0a50 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x006f3a66 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#17 0x006f3f48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#18 0x0804ee25 in main (argc=3, argv=0xbf802614) at gpilotd.c:1092

Thread 1 (Thread -1209116128 (LWP 19737)):
#0  0x00a9d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0084a053 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00c87bfd in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00a9d402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x004af7e8 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x004b0f58 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x004e4a3a in __libc_message () from /lib/libc.so.6
No symbol table info available.
#8  0x00565c15 in __chk_fail () from /lib/libc.so.6
No symbol table info available.
#9  0x00566254 in __realpath_chk () from /lib/libc.so.6
No symbol table info available.
#10 0x07b83f4f in pi_serial_bind (ps=0x98a6128, addr=0xbf80190a, addrlen=258)
    at /usr/include/bits/stdlib.h:35
	save_errno = 13
	realport =
"\212\tÿ\000\000\000\221VV\000Ì\030\200¿V߸\a0\032\200¿Q߸\a\020\000\000\000\210øZ\000\177\000\000\000\001\200­û\n\031\200¿¨D\212\t"
	data = (struct pi_serial_data *) 0x98a6d28
	err = -502
#11 0x07b8743c in pi_bind (pi_sd=35, port=0x98a44a8 "/dev/ttyUSB1")
    at socket.c:1063
	bind_return = -201
	ps = (pi_socket_t *) 0x98a6128
	addr = {pi_family = 0, 
  pi_device = "/dev/ttyUSB1", '\0' <repeats 242 times>}
#12 0x0804cfcf in sync_device (device=0x98a5408, context=0x9884bb8)
    at gpilotd.c:166
	pilot = 

Some parts maybe incomplete due to missing debuginfo packages.  Please ask if
you think I need to install some of them.

Expected results:

The Palm Zire 72 would continue to sync with my laptop (whatever that means, 
given that it's my first attempt.)
Comment 1 Rodd Clarkson 2005-10-26 06:33:55 EDT
My wife (who also is syncing her Palm Zire 72 for the first time) has exactly
the same problem on her Fedora Core 4 laptop.
Comment 2 Rodd Clarkson 2005-10-27 21:19:31 EDT
This is still a problem in rawhide.

I'm moving this to FC4 as it's not working there either and that's production ready.
Comment 3 cameleon078 2005-11-09 07:46:11 EST
I have the same problem with a Palm Tungsten E2 but I made the first sync on
windows. Just for information all works fine with ubuntu so I think this bug was
resolved on the last version of gpilot.
Comment 4 Matt Davey 2006-01-21 08:27:39 EST
Have you tried using /dev/ttyUSB0?
Comment 5 Rodd Clarkson 2006-01-22 18:19:27 EST
Yep, tried /dev/ttyUSB0

I've actually solved the problem, but I've been a little slack about reporting
it to bugzilla.

I solved the problem by adding the following udev rule
(/etc/udev/rules.d/95-zire.rules):

BUS="usb", KERNEL="ttyUSB*", SYMLINK="pilot"

Adding this line in the file above now sees my Zine 72 syncing well.  I've been
meaning to report this so as to ask how we can get this rule included by
default.  So I guess now is as good a time as any to ask "How do we do this?"
Comment 6 Matt Davey 2006-01-23 18:03:52 EST
I believe this bug is due to a coding error in pilot-link.

See bug #1591 on bugs.pilot-link.org:
http://bugs.pilot-link.org/1591

If you have a properly created device file, and have got the permissions
correct, you shouldn't have this problem.  I think what happens if that if 
there's a permissions problem connecting to the device file you pass in, pilot-
link attempts to help you out by figuring out what the problem is, but in so 
doing makes an illegal use of a glibc function.
Comment 7 Matthew Barnes 2006-12-18 10:12:48 EST
Does this bug still exist in Fedora Core 6 using gnome-pilot-2.0.15?
Comment 8 Rodd Clarkson 2006-12-18 20:56:29 EST
I'm having some troubles with syncing in fc6 but this seems to be related to
evo-data-server and pilot-link.

I can't answer whether or not I'm having troubles syncing for the first time
since I'm already up and running, but I'll be able to test this with my wife's
palm/fc6 install some time really soon (when I install fc6)

Hope you don't mind waiting a little.
Comment 9 Rodd Clarkson 2006-12-18 20:57:20 EST
Just to remind me to do this.
Comment 10 Matthew Barnes 2006-12-18 22:39:14 EST
No I don't mind waiting.  The bug's been collecting dust for almost a year now,
so a little more dust won't hurt it.  Thanks for looking into this.
Comment 11 Matěj Cepl 2007-08-31 11:20:11 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 12 Matthew Barnes 2007-10-02 13:13:29 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.